document.addEventListener('DOMContentLoaded', () => {
  const card = document.querySelector('.greeting-card');
  const openButton = document.querySelector('.open-card');
  const heartsButton = document.querySelector('.floating-hearts');
  const musicButton = document.querySelector('.play-music');
  
  const audio = new Audio();
  audio.src = 'data:audio/wav;base64,UklGRl9vT19XQVZFZm10IBAAAAABAAEAQB8AAEAfAAABAAgA';
  
  openButton.addEventListener('click', () => {
    card.classList.add('flipped');
  });
  
  heartsButton.addEventListener('click', createHearts);
  
  musicButton.addEventListener('click', () => {
    if (audio.paused) {
      audio.play();
      musicButton.textContent = '🔇';
    } else {
      audio.pause();
      musicButton.textContent = '🎵';
    }
  });
  
  function createHearts() {
    for (let i = 0; i < 10; i++) {
      setTimeout(() => {
        const heart = document.createElement('span');
        heart.className = 'heart';
        heart.textContent = '❤️';
        heart.style.left = Math.random() * 100 + '%';
        document.body.appendChild(heart);
        
        setTimeout(() => {
          heart.remove();
        }, 2000);
      }, i * 100);
    }
  }
  
  // Allow card to be closed by clicking anywhere on the inside
  card.addEventListener('click', (e) => {
    if (e.target.closest('.card-inside') && 
        !e.target.closest('.interactive-elements')) {
      card.classList.remove('flipped');
    }
  });
});
